'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidationError = exports.FileSystemError = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FileSystemError extends Error {
  constructor(message) {
    super(message);
    this.message = _chalk2.default.red(message);
    this.name = 'FileSystemError';
  }
}

exports.FileSystemError = FileSystemError; /*
                                            * LiskHQ/lisk-commander
                                            * Copyright © 2017–2018 Lisk Foundation
                                            *
                                            * See the LICENSE file at the top-level directory of this distribution
                                            * for licensing information.
                                            *
                                            * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
                                            * no part of this software, including this file, may be copied, modified,
                                            * propagated, or distributed except according to the terms contained in the
                                            * LICENSE file.
                                            *
                                            * Removal or modification of this copyright notice is prohibited.
                                            *
                                            */

class ValidationError extends Error {
  constructor(message) {
    super(message);
    this.message = _chalk2.default.red(message);
    this.name = 'ValidationError';
  }
}
exports.ValidationError = ValidationError;